# This file is the input for generating the list of preferences
# for pc_tools.cpp and pc_tools.h.
#
# For information on how to add or modify a preference, please
# refer to the module documentation.
#
# Preferences cannot depend directly on FEATUREs, they must depend
# on the macro they define.
#
Collection:  PrefsCollectionTools
Macro name:  PCTOOLS
Description: Developer tools settings
Type:        normal

Preference:  ProxyHost
Depends on:  PREFS_TOOLS_PROXY
Section:     Developer Tools
Key:         Proxy Host
Type:        string
Description: Address of machine running the proxy process for scope.
Default:     "127.0.0.1"

Preference:  ProxyPort
Depends on:  PREFS_TOOLS_PROXY
Section:     Developer Tools
Key:         Proxy Port
Type:        integer
Description: Port number for the proxy process for scope.
Default:     7001

Preference:  ProxyAutoConnect
Depends on:  PREFS_TOOLS_PROXY
Section:     Developer Tools
Key:         Proxy Auto Connect
Type:        boolean
Description: Scope should connect to the proxy automatically on Opera startup.
Default:     FALSE

Preference:  DevToolsUrl
Depends on:  INTEGRATED_DEVTOOLS_SUPPORT
Section:     Developer Tools
Key:         Developer Tools URL
Type:        string
Description: The URL to the web application to be loaded into the Developer Tools window.
Default:     "https://dragonfly.opera.com/app/"

Preference:  UPnPWebserverPort
Depends on:  WEBSERVER_SUPPORT
Section:     Developer Tools
Key:         UPnP webserver port
Type:        integer
Description: Port for webserver serving UPnP discovery requests
Default:     WEB_PARM_DEFAULT_PORT + 1

#
# The 'Enable Script Debugging' setting is to be deprecated. Don't use it.
#
Preference:  ScriptDebugging
Depends on:  PREFS_SCRIPT_DEBUG
Section:     Developer Tools
Key:         Enable Script Debugging
Type:        boolean
Description: Include debugging information when compiling scripts, and try to attach to external debugger.
Default:     FALSE

.eof
